Subject: Re: [PATCH 1/2 v2] i2c: Add support for device alias names

From: Jean Delvare <[email-masked]>
Date: Tue, 29 Apr 2008 14:49:16 +0200

Hi Jon,

On Tue, 29 Apr 2008 08:16:13 -0400, Jon Smirl wrote:
> On 4/29/08, Jean Delvare <[email-masked]> wrote:
> > Based on earlier work by Jon Smirl and Jochen Friedrich.
> >  +/* Looks like: i2c:S */
> >  +static int do_i2c_entry(const char *filename, struct i2c_device_id *id,
> >  +                       char *alias)
> >  +{
> >  +       sprintf(alias, I2C_MODULE_PREFIX "%s", id->name);
> 
> Do you want to add the colon?

Not yet. This can be added later anyway, so I'd rather push the
known-to-work patches as is for now, and we fix this detail between rc1
and rc2. For now I am still in favor of removing the "*" we don't need,
I'll send a patch doing this later today (I hope) for discussion.

> >  +
> >  +       return 1;
> >  +}

Thanks,
-- 
Jean Delvare